Subject: Re: bug#36680: 27.0.50; undo-tree visualizer flickering with display-buffer-reuse-frames -> t

From: Michael Heerdegen <[email-masked]>
Date: Thu, 18 Jul 2019 23:13:28 +0200

martin rudalics <[email-masked]> writes:

> You probably should have used an 'inhibit-switch-frame' ALIST entry
> then.

Where would you suggest to do that, as a user, without changing code?
Potentially any arbitrary buffer can be affected.

> OK.  Then please, try the attached patch.

Yes, good, that's what I want - thanks.  I hope no existing code relies
on the old behavior.  But I think it's an improvement, also in other
situations.

> Note that when there's no suitable window on the selected frame you
> will still get the annoying behavior.

In this case it's not trivial what could be done better.  Let's say that
this is not part of my report.

Thanks,

Michael.